<?php
if (isset($_POST['save_order'])) {	
			
			$txt = new textBookersAPI();
			$x = $txt->login(get_option('txt_gt_id_cli'),get_option('txt_gt_sec_cli'),get_option('txt_gt_login'),get_option('txt_gt_pass'));
						
			if (!$x) {
				?>
	<div id="message" class="error"><p><strong>
		<?php _e('Wystąpiły błędy logowania, wygląda na to, że podane dane do konta textbookers są nieprawidłowe.', 'textbookers' );?>
            	</strong></p></div>
	<?php
	
			}
			else {
					//get order
					$x = $txt->getApi('articles',"order={$_POST['id_order']}");
					//echo '<pre>';
					//var_dump($x);
					//echo '</pre>';
					if (empty($x)) {
						?>
						<div id="message" class="error"><p><strong><?php _e('Zlecenie nie istnieje lub należy do innego użytkownika. Podaj poprawne ID zlecenia z konta podanego w ustawieniach.', 'textbookers' );?> </strong></p></div>
						<?php
					}
					
					else {
						
						foreach ($x as $art) {
							
							
							$ifutilized = true;
							
							if ($_POST['txt_gt_order_type'] == 1) {
								$ifutilized = false;
								if ($art['utilized'] == 0) {
									$ifutilized = true;
								}
							} else if ($_POST['txt_gt_order_type'] == 2) {
								$ifutilized = false;
								if ($art['utilized'] == 1) {
									$ifutilized = true;
								}
							}
							
							if ( $ifutilized && strlen($art['content'])>100 ) {
								//prepare post
								$post = array();
								$post['post_title'] = $art['title'];
								$post['post_content'] = $art['content'];
								$post['post_author'] = $_POST['autors'];
								$post['post_status'] = $_POST['status'];
								$post['post_category'] = $options['cats'];
								
								kses_remove_filters();
								$return = wp_insert_post( $post , true );
								
								$images = explode("\r\n",$_POST['images']);
								$image = $images[rand(0,count($images)-1)];
								if (is_numeric($image) && $return) {
									set_post_thumbnail( $return, $image );
									
								}
								else if (strlen($image)>5 && $return) {
									$filename = rand().'.jpg';
									$file = $image;
									$name = explode('/',$file);
									if (strstr(end($name),'.')) {
										$filename = end($name);
									}
									
									$upload_file = wp_upload_bits($filename, null, @file_get_contents($file));
									if(!$upload_file['error']) {
									  //if succesfull insert the new file into the media library (create a new attachment post type)
									  $wp_filetype = wp_check_filetype($filename, null );
									  $attachment = array(
										'post_mime_type' => $wp_filetype['type'],
										'post_parent' => $return,
										'post_title' => preg_replace('/\.[^.]+$/', '', $filename),
										'post_content' => '',
										'post_status' => 'inherit'
									  );
									  //wp_insert_attachment( $attachment, $filename, $parent_post_id );
									  $attachment_id = wp_insert_attachment( $attachment, $upload_file['file'], $return );
									  if (!is_wp_error($attachment_id)) {
										 //if attachment post was successfully created, insert it as a thumbnail to the post $post_id
										 require_once(ABSPATH . "wp-admin" . '/includes/image.php');
										 //wp_generate_attachment_metadata( $attachment_id, $file ); for images
										 $attachment_data = wp_generate_attachment_metadata( $attachment_id, $upload_file['file'] );
										 wp_update_attachment_metadata( $attachment_id,  $attachment_data );
										 set_post_thumbnail( $return, $attachment_id );
										
									   }
									} 
								}
								
								kses_init_filters();
								
								if ( is_wp_error( $return ) ) {
									$error[] = 'Błąd publikaci artykułu o ID ' . $art['id'] . ' z powodu błędu WordPress: ' . $return->get_error_message() ;
								}
								
								else {
									
									if ($_POST['utilized']) {
										$txt->patchApi('articles/'.$art['id'],array('utilized'=>'utilized'));
											$ok[] = "Artykuł '{$art['title']}' został opublikowany i oznaczony jako wykorzystany w textbookers.";
									}
									else {
										$ok[] = "Artykuł '{$art['title']}' został opublikowany.";
									}
									   
								}
			
								
							
								
								
							}
							else {
								echo $art['order']['status'] .':::'. $ifutilized.'<br>';
							}
							
						}
						
					}
					
					
					
				
				
				
				
				
			}
			
			
			
			
	if (count($error)>0) {
		?><div id="message" class="error"><p><strong> <?php _e('Wystąpiły błędy: <br>' . implode('<br>- ',$error), 'textbookers' );?> </strong></p></div><?php
	}
	if (count($ok)>0) {
		?><div id="message" class="updated fade"><p><strong> <?php _e('Pomyślnie opublikowane: <br>-' . implode('<br>- ',$ok), 'textbookers' );?> </strong></p></div><?php
	} else {
		?><div id="message" class="error"><p><strong> <?php _e('Żaden artykuł nie został opublikowany.', 'textbookers' );?> </strong></p></div><?php
	}
	
}



?>


<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">

<fieldset class="options">
	<h3><?php _e('Pobierz i opublikuj artykuły ze zlecenia', 'textbookers' );?></h3>
	
	 <table width="100%" border="0" cellspacing="0" cellpadding="6">

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('ID zlecenia', 'textbookers' );?></strong>
        </td><td align="left">
               <input name="id_order" type=text value="<?php echo $_POST['id_order'];?>">
			   <br>
			   <small>Podaj odpowiednie ID ze strony <a href="https://www.textbookers.com/tb/customer-zone/order/active" target="_BLANK">https://www.textbookers.com/tb/customer-zone/order/active</a></small>
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Rodzaj tekstów', 'textbookers' );?></strong>
        </td><td align="left">
               <select name="txt_gt_order_type"><option value="1" <?php if ($_POST['txt_gt_order_type']=='1') { echo 'selected';} ?>>Niewykorzystane</option><option value="2" <?php if ($_POST['txt_gt_order_type']=='2') { echo 'selected';} ?>>Wykorzystane</option><option value="3" <?php if ($_POST['txt_gt_order_type']=='3') { echo 'selected';} ?>>Wszystkie</option></select>
			   <br>
        </td></tr>
		

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Oznacz jako wykorzystane', 'textbookers' );?></strong>
        </td><td align="left">
               <input type="checkbox" name="utilized" <?php if ($_POST['utilized']) { echo 'checked';}?>>
			   <br>
			   <small>Zaznacz opcję, aby oznaczyć pobrane teksty jako wykorzystane.</small>
        </td></tr>
		

		
		</table>
		
		
	<hr>
	<h3><?php _e('Opcje publikacji', 'textbookers' );?></h3>
	
	 <table width="100%" border="0" cellspacing="0" cellpadding="6">
	 
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Ikony wpisów', 'textbookers' );?></strong>
        </td><td align="left">
			<textarea name="images" cols="50" rows="5" /><?php echo $_POST['images'];?></textarea>
			
			<br>
				<small>Podaj URL obrazów lub ID obrazów z biblioteki mediów (każdy w osobnej linii).</small>
			<br>
				<small>Obrazy z listy będą przypisane losowo do artykułów.</small>
        </td>
		</tr>

	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj w tych kategoriach: ', 'textbookers' );?></strong>
        </td><td align="left">
		<?php $cats = $_POST['cats']; if (empty($cats)) {$cats = array();}  ?>
		<select name="cats[]" size="5" multiple class='aps-block' >
		<?php foreach ( get_categories( array( 'orderby' => 'name', 'order' => 'ASC', 'hide_empty' => 0 ) ) as $post_cat ) { ?>
			<option value="<?php echo $post_cat->term_id;?>" <?php echo ( in_array( $post_cat->term_id, $cats ) ) ? "SELECTED" : "" ?>><?php echo $post_cat->name; ?></option>
		<?php } ?>
		</select>
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj z konta autora:', 'textbookers' );?></strong>
        </td><td align="left">
		<?php 
			$autors = $_POST['autors'];
			$args = apply_filters( 'txt_get_users_args', array( 'who' => 'authors', 'fields' => array( 'ID', 'display_name' ) ) ); 
			$user_query = new WP_User_Query( $args );

			
				$users = $user_query->get_results();
				
			?>
		<select name="autors" size="5"  class='aps-block' >
		<?php foreach ( $users as $post_user ) { ?>
			<option value="<?php echo $post_user->ID;?>" <?php echo ( $post_user->ID == $autors ) ? "SELECTED" : "" ?>><?php echo $post_user->display_name; ?></option>
		<?php } ?>
		</select>
			
        </td></tr>

		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Jaki ustawić status dla publikacji?', 'textbookers' );?></strong>
        </td><td align="left">
		
		<select name="status" class='aps-block' >
		<?php foreach ( array( 'draft' , 'pending' ,'publish') as $post_type ) { ?>
			<option value="<?php echo $post_type;?>" <?php echo ( $post_type == $_POST['status'] ) ? "SELECTED" : "" ?>><?php echo $post_type; ?></option>
		<?php } ?>
		</select>
        </td></tr>
		
		

	
        <tr valign="top"><td width="25%" align="right">
                
        </td><td align="left">
               <hr>
        </td></tr>

	
        <tr valign="top"><td width="25%" align="right">
                <strong></strong>
        </td><td align="left">
               <input type="submit" class="button" name="save_order" value="<?php _e('Pobierz i opublikuj', 'textbookers' ); ?> &raquo;" />
			<br><small>Kliknij, aby pobrać i opublikować.</small>
        </td></tr>



	 </table>
	 
	 
</fieldset>