<?php
if (isset($_POST['save_order'])) {
			
		$post = array();
		$post['language'] = $_POST['txt_gt_order_lang']; //pl, en, de
		$post['subject'] = $_POST['txt_gt_order_subject'];
		$post['articleType'] = $_POST['txt_gt_order_type'];
		$post['author'] = $_POST['txt_gt_order_author'];
		$keywords = array();
		$keys = explode(',',$_POST['txt_gt_order_tags']);
		foreach ($keys as $k) {
			$k = trim($k);
			$keywords[] = $k;
		}
		$post['keywords'] = array_unique($keywords);
		$post['minChars'] = $_POST['txt_gt_order_chars'];
		$post['articlesCount'] = 1;
		//$post['articlesCount'] = $_POST['txt_gt_order_count'];
		$post['project'] = $_POST['txt_gt_order_project'];
		$post['orderDescription'] = $_POST['txt_gt_order_desc'];
		
		
		
	if ($_POST['saldo']< 1 ) {
				$errors = '<ul>';
						$errors .= '<li>Twoje saldo w serwisie nie pozwala na zamawianie tekstów. Uzupełnij najpierw konto textbookers.com.</li>';
				$errors .= '</ul>';
		
			?><div id="message" class="error"><p><strong> <?php _e('Wystąpiły błędy, '.$err['message'].':<br>'.$errors, 'textbookers' );?> </strong></p></div><?php
				
	}
	else {
			$txt = new textBookersAPI();
			$txt->login(get_option('txt_gt_id_cli'),get_option('txt_gt_sec_cli'),get_option('txt_gt_login'),get_option('txt_gt_pass'));
			$x = $txt->newOrder($post);
			
			if (!$x) {
				$err = $txt->errorContent();
				
				$errors = '<ul>';
				foreach ($err['errors']['children'] as $ek=>$ev) {
					
					if (!empty($ev['errors'])) {
						$errors .= '<li>'.$ek.': '.implode( '; ',$ev['errors']).'</li>';
					}
					
				}
				$errors .= '</ul>';
				
				?>
	<div id="message" class="error"><p><strong>
		<?php _e('Wystąpiły błędy, '.$err['message'].':<br>'.$errors, 'textbookers' );?>
            	</strong></p></div>
	<?php
	
			}
			
			else {
			
	//dodanie zlecenia do listy zleceń
		/*Przetrzymaj zamówienie w tabeli */
		
		$xs = json_decode($x,true);
		$order['id'] =	$xs['id'];
		$order['articleTitle'] =$_POST['title'];
		$order['createdAt'] =strtotime($xs['createdAt']);
		$order['deadline'] =strtotime($xs['deadline']);
		$order['minChars'] =$xs['minChars'];
		$order['author'] =$post['author'];
		$order['individual'] =$xs['individual'];
		$order['keywords'] =serialize($xs['keywords']);
		$order['orderDescription'] =$xs['orderDescription'];
		$order['msg'] =$x;
		//options
		$order['options']['title'] = $_POST['title'];
		$order['options']['slug'] = $_POST['slug'];
		$order['options']['tags'] = $_POST['tags'];
		$order['options']['image'] = $_POST['image'];
		$order['options']['cats'] = $_POST['cats'];
		$order['options']['autors'] = $_POST['autors'];
		$order['options']['status'] = $_POST['status'];
		$order['options']['publishdate'] = ($_POST['specified_publishdate']?$_POST['publishdate']:0);
		$order['options'] = json_encode($order['options']);
		
		txt_write_order($order);
	
	?>
	<div id="message" class="updated fade"><p><strong> <?php _e('Tekst został pomyślnie zlecony.', 'textbookers' );?> </strong></p></div>
	<?php
			}
	}
}


if (isset($_GET['copy']) && empty($_POST)) {
	
	$ord = txt_get_order($_GET['copy']);
	
	$msg = unserialize($ord['msg']);
	$msg = json_decode($msg,true);
	$opt = json_decode($ord['options'],true);
	
	$_POST['txt_gt_order_type'] = $msg['articleType']['id'];
	$_POST['txt_gt_order_chars']= $ord['minChars'];
	$_POST['txt_gt_order_tags']= implode(', ',$msg['keywords']);
	$_POST['txt_gt_order_desc']= $ord['orderDescription'];
	$_POST['txt_gt_order_subject']= $msg['subject']['id'];
	$_POST['txt_gt_order_project']= $msg['project']['id'];
	$_POST['txt_gt_order_author']= ($ord['author']!=0 && !empty($ord['author'])?$ord['author']:'');
	$_POST['title']= $ord['articleTitle'];
	$_POST['slug']= $opt['slug'];
	$_POST['tags']= $opt['tags'];
	$_POST['image']= $opt['image'];
	$_POST['cats']= $opt['cats'];
	$_POST['autors']= $opt['autors'];
	$_POST['status']= $opt['status'];
	if ($opt['publishdate']>0) {
		$_POST['specified_publishdate']= 1;
		$_POST['publishdate']= $opt['publishdate'];
	}
	
}

?>


<form method="post" action="admin.php?page=textbookers&option=order">

<fieldset class="options">
	<h3><?php _e('Dodaj zlecenie', 'textbookers' );?></h3>
	
	 <table width="100%" border="0" cellspacing="0" cellpadding="6">
	 
	 
	 	<?php

			$txt = new textBookersAPI();
			$txt->login(get_option('txt_gt_id_cli'),get_option('txt_gt_sec_cli'),get_option('txt_gt_login'),get_option('txt_gt_pass'));
			$x = $txt->getApi('user');
			$saldo = $x['points'];
		?>
		<tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Twoje saldo PLN', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="saldo" type="number" size="20" value="<?php echo $saldo;?>" readonly />
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Język', 'textbookers' );?></strong>
        </td><td align="left">
               <select name="txt_gt_order_lang"><option value="pl" selected="selected">polski</option><option value="en">angielski</option><option value="de">niemiecki</option></select>
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Rodzaj zlecenia', 'textbookers' );?></strong>
        </td><td align="left">
               <select name="txt_gt_order_type"><option value="1" <?php if ($_POST['txt_gt_order_type']=='1') { echo 'selected';} ?>>Tekst preclowy</option><option value="2" <?php if ($_POST['txt_gt_order_type']=='2') { echo 'selected';} ?>>Tekst zapleczowy</option><option value="3" <?php if ($_POST['txt_gt_order_type']=='3') { echo 'selected';} ?>>Opis do katalogów</option><option value="4" <?php if ($_POST['txt_gt_order_type']=='4') { echo 'selected';} ?>>Tekst tematyczny</option><option value="5" <?php if ($_POST['txt_gt_order_type']=='5') { echo 'selected';} ?>>Tekst specjalistyczny</option><option value="6" <?php if ($_POST['txt_gt_order_type']=='6') { echo 'selected';} ?>>Opis produktu</option><option value="7" <?php if ($_POST['txt_gt_order_type']=='7') { echo 'selected';} ?>>Tłumaczenie ang-pol</option><option value="8" <?php if ($_POST['txt_gt_order_type']=='8') { echo 'selected';} ?>>Tekst ekspercki</option></select>
			   <br>
			   <small>Od rodzaju zlecenia zależy koszt tekstu</small>
        </td></tr>
		


        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Liczba tekstów', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="txt_gt_order_count" type="number" size="20" value="1" disabled />
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Liczba znaków w tekście', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="txt_gt_order_chars" type="number" size="20" value="<?php echo htmlspecialchars($_POST['txt_gt_order_chars']); ?>"/>
				<br>
			   <small>Minimalna liczba znaków pojedynczego tekstu zależy od wybranego rodzaju zlecenia.</small>
        </td></tr>


        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Słowa kluczowe', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="txt_gt_order_tags" type="text" size="20" value="<?php echo htmlspecialchars($_POST['txt_gt_order_tags']); ?>"/>
				<br>
				<small>oddziel przecinkami</small>
        </td></tr>


        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Opis zlecenia', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="txt_gt_order_desc" type="text" size="80" value="<?php echo htmlspecialchars($_POST['txt_gt_order_desc']); ?>"/>
        </td></tr>



        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Tematyka', 'textbookers' );?></strong>
        </td><td align="left">
               <select  name="txt_gt_order_subject" required="required"><option value="">Wybierz tematykę</option><option value="1" <?php if ($_POST['txt_gt_order_subject']=='1') { echo 'selected'; }?>>Biznes, Ekonomia</option><option value="7" <?php if ($_POST['txt_gt_order_subject']=='7') { echo 'selected'; }?>>>Budownictwo, Nieruchomości, Architektura</option><option value="3" <?php if ($_POST['txt_gt_order_subject']=='3') { echo 'selected'; }?>>>Dom, Mieszkanie, Wnętrze, Rodzina</option><option value="4" <?php if ($_POST['txt_gt_order_subject']=='4') { echo 'selected'; }?>>>Dzieci, Nastolatki</option><option value="12" <?php if ($_POST['txt_gt_order_subject']=='12') { echo 'selected'; }?>>>Edukacja, Nauka, Szkoła</option><option value="5" <?php if ($_POST['txt_gt_order_subject']=='5') { echo 'selected'; }?>>>Finanse, Bankowość</option><option value="6" <?php if ($_POST['txt_gt_order_subject']=='6') { echo 'selected'; }?>>>Internet, Usługi internetowe</option><option value="23" <?php if ($_POST['txt_gt_order_subject']=='23') { echo 'selected'; }?>>>Komputery, Informatyka</option><option value="14" <?php if ($_POST['txt_gt_order_subject']=='14') { echo 'selected'; }?>>>Kuchnia, Kulinaria, Przepisy</option><option value="2" <?php if ($_POST['txt_gt_order_subject']=='2') { echo 'selected'; }?>>>Kultura, Muzyka, Film, Sztuka, Fotografia</option><option value="13" <?php if ($_POST['txt_gt_order_subject']=='13') { echo 'selected'; }?>>>Media, Informacje, Reklama</option><option value="16" <?php if ($_POST['txt_gt_order_subject']=='16') { echo 'selected'; }?>>>Motoryzacja, Transport</option><option value="15" <?php if ($_POST['txt_gt_order_subject']=='15') { echo 'selected'; }?>>>Ogród, Przyroda, Zwierzęta</option><option value="20" <?php if ($_POST['txt_gt_order_subject']=='20') { echo 'selected'; }?>>>Praca</option><option value="24" <?php if ($_POST['txt_gt_order_subject']=='24') { echo 'selected'; }?>>>Przemysł</option><option value="21" <?php if ($_POST['txt_gt_order_subject']=='21') { echo 'selected'; }?>>>Religia, Wiara</option><option value="18" <?php if ($_POST['txt_gt_order_subject']=='18') { echo 'selected'; }?>>>Sklepy, Zakupy</option><option value="17" <?php if ($_POST['txt_gt_order_subject']=='17') { echo 'selected'; }?>>>Społeczeństwo, Urbanistyka, Polityka</option><option value="19" <?php if ($_POST['txt_gt_order_subject']=='19') { echo 'selected'; }?>>>Sport, Rekreacja</option><option value="22" <?php if ($_POST['txt_gt_order_subject']=='22') { echo 'selected'; }?>>>Technika, Elektronika, Multimedia</option><option value="10" <?php if ($_POST['txt_gt_order_subject']=='10') { echo 'selected'; }?>>>Turystyka, Podróże, Noclegi</option><option value="11" <?php if ($_POST['txt_gt_order_subject']=='11') { echo 'selected'; }?>>>Uroda, Moda, Styl</option><option value="9" <?php if ($_POST['txt_gt_order_subject']=='9') { echo 'selected'; }?>>>Zabawa, Hobby, Gry, Rozrywka</option><option value="8" <?php if ($_POST['txt_gt_order_subject']=='8') { echo 'selected'; }?>>>Zdrowie, Medycyna</option></select>

        </td></tr>
		
		<?php

			//$txt = new textBookersAPI();
			$txt->login(get_option('txt_gt_id_cli'),get_option('txt_gt_sec_cli'),get_option('txt_gt_login'),get_option('txt_gt_pass'));
			$x = $txt->getApi('projects');
			
		?>
		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Projekt', 'textbookers' );?></strong>
        </td><td align="left">
               <select  name="txt_gt_order_project" required="required"><option value="" selected="selected">Wybierz projekt</option>
			   <?php
			  
			   foreach ($x as $k=>$v) {
				   echo '<option value="'.$v['id'].'" '.($_POST['txt_gt_order_project']==$v['id']?'selected':'').'>'.$v['name'].'</option>';
			   }
			   
			   ?>
			   </select>

        </td></tr>
		


        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Wybrany autor', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="txt_gt_order_author" type="number" size="20" value="<?php echo htmlspecialchars($_POST['txt_gt_order_author']); ?>"/>
				<br>
			   <small>Podaj ID konkretnego autora, aby zlecenie trafiło do wybranego autora.</small>
        </td></tr>

		</table>
		
		
	<hr>
	<h3><?php _e('Opcje publikacji', 'textbookers' );?></h3>
	
	 <table width="100%" border="0" cellspacing="0" cellpadding="6">
	 
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Tytuł artykułu', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="title" onkeyup="document.getElementById('slug').value=string_to_slug(this.value);" type="text" size="20" value="<?php echo htmlspecialchars($_POST['title']); ?>"/>
				<br>
				<small>Artykuł zostanie opublikowany pod wskazanym tytułem</small>
				<small>Jeśli pole będzie puste, tytuł zostanie pobrany ze zleconego artykułu</small>
        </td>
		</tr>
		
		
        <tr valign="top">
		<td width="25%" align="right">
                <strong><?php _e('SLUG', 'textbookers' );?></strong>
        </td>
		<td align="left">
                <input name="slug" id="slug" type="text" size="20" value="<?php echo htmlspecialchars($_POST['slug']); ?>"/>
				<br><small>Zostaw puste, jeśli adres ma być utworzony automatycznie z tytułu.</small>
        </td>
		</tr>
		
		
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Tagi dla artykułu', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="tags" type="text" size="20" value="<?php echo htmlspecialchars($_POST['tags']); ?>"/>
				<br>
				<small>oddziel przecinkami</small>
        </td>
		</tr>



        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Ikona wpisu', 'textbookers' );?></strong>
        </td><td align="left">
			<input id="image-id" type="text" name="image" value="<?php echo $_POST['image'];?>" />
			<input id="upload-button" type="button" class="button" value="Wybierz obraz" />
			<br>
				<small>Wybierz obraz z biblioteki mediów lub podaj URL obrazka</small>
        </td>
		</tr>

	 
	 
	 
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj w tych kategoriach: ', 'textbookers' );?></strong>
        </td><td align="left">
		<?php $cats = $_POST['cats']; if (empty($cats)) {$cats = array();}  ?>
		<select name="cats[]" size="5" multiple class='aps-block' >
		<?php foreach ( get_categories( array( 'orderby' => 'name', 'order' => 'ASC', 'hide_empty' => 0 ) ) as $post_cat ) { ?>
			<option value="<?php echo $post_cat->term_id;?>" <?php echo ( in_array( $post_cat->term_id, $cats ) ) ? "SELECTED" : "" ?>><?php echo $post_cat->name; ?></option>
		<?php } ?>
		</select>
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj z konta autora:', 'textbookers' );?></strong>
        </td><td align="left">
		<?php 
			$autors = $_POST['autors'];
			$args = apply_filters( 'txt_get_users_args', array( 'who' => 'authors', 'fields' => array( 'ID', 'display_name' ) ) ); 
			$user_query = new WP_User_Query( $args );

			
				$users = $user_query->get_results();
				
			?>
		<select name="autors" size="5"  class='aps-block' >
		<?php foreach ( $users as $post_user ) { ?>
			<option value="<?php echo $post_user->ID;?>" <?php echo ( $post_user->ID == $autors ) ? "SELECTED" : "" ?>><?php echo $post_user->display_name; ?></option>
		<?php } ?>
		</select>
			
        </td></tr>

      




		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Jaki ustawić status dla publikacji?', 'textbookers' );?></strong>
        </td><td align="left">
		
		<select name="status" class='aps-block' >
		<?php foreach ( array( 'draft' , 'pending' ,'publish') as $post_type ) { ?>
			<option value="<?php echo $post_type;?>" <?php echo ( $post_type == $_POST['status'] ) ? "SELECTED" : "" ?>><?php echo $post_type; ?></option>
		<?php } ?>
		</select>
        </td></tr>
		
		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Podaj datę publikacji', 'textbookers' );?></strong>
        </td><td align="left">
		
		<input type="checkbox" name="specified_publishdate" <?php if (isset($_POST['specified_publishdate'])) {echo 'checked';}?>> Ustaw niestandardowy czas publikacji:
		<?php
			$now = date('Y').'-'.date('m').'-'. date('d').'T'.date('H').':'.date('i');
			if (!empty($_POST['publishdate']) && isset($_POST['specified_publishdate'])) {
				$now = $_POST['publishdate'];
			}
		?>
		<input type="datetime-local" name="publishdate"
       value="<?php echo $now;?>" >
	   <br>
	   <small>Tekst zostanie opublikowany od razu, gdy zostanie napisany (w momencie pobrania przez skrypt),<br>chyba że został ustawiony niestandardowy czas publikacji.</small>
        </td></tr>
		
		
		

	
        <tr valign="top"><td width="25%" align="right">
                
        </td><td align="left">
               <hr>
        </td></tr>

	
        <tr valign="top"><td width="25%" align="right">
                <strong></strong>
        </td><td align="left">
               <input type="submit" class="button" name="save_order" value="<?php _e('Zapisz zlecenie', 'textbookers' ); ?> &raquo;" />
			<br><small>Kliknij, aby zapisać. Z Twojego konta zostanie pobrana odpowiednia opłata zgodna z cennikiem TextBookers.com</small>
        </td></tr>



	 </table>
	 
	 
</fieldset>

</form>


<script>

var string_to_slug = function (str)
{
	str = str.replace(/^\s+|\s+$/g, ''); // trim
	str = str.toLowerCase();

	// remove accents, swap ñ for n, etc
	var from = "ęóąśłżźćńàáäâèéëêìíïîòóöôùúüûñçěščřžýúůďťň·/_,:;";
	var to   = "eoaslzzcnaaaaeeeeiiiioooouuuuncescrzyuudtn------";

	for (var i=0, l=from.length ; i<l ; i++)
	{
		str = str.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
	}
	
	
	str = str.replace('.', '-') // replace a dot by a dash 
		.replace(/[^a-z0-9 -]/g, '') // remove invalid chars
		.replace(/\s+/g, '-') // collapse whitespace and replace by a dash
		.replace(/-+/g, '-') // collapse dashes
		.replace( /\//g, '' ); // collapse all forward-slashes

	return str;
}


jQuery(document).ready(function($){

  var mediaUploader;

  $('#upload-button').click(function(e) {
    e.preventDefault();
    // If the uploader object has already been created, reopen the dialog
      if (mediaUploader) {
      mediaUploader.open();
      return;
    }
    // Extend the wp.media object
    mediaUploader = wp.media.frames.file_frame = wp.media({
      title: 'Choose Image',
      button: {
      text: 'Choose Image'
    }, multiple: false });

    // When a file is selected, grab the ID and set it as the text field's value
    mediaUploader.on('select', function() {
      attachment = mediaUploader.state().get('selection').first().toJSON();
      $('#image-id').val(attachment.id);
    });
    // Open the uploader dialog
    mediaUploader.open();
  });

});
</script>

