<?php
class textBookersAPI {
	
	function login($cli_id,$cli_sec,$mail,$pass) {
		
		$x = $this->get('https://www.textbookers.com/oauth/v2/token?client_id='.$cli_id.'&client_secret='.$cli_sec.'&grant_type=password&username='.urlencode($mail).'&password='.urlencode($pass));
		
		$x = json_decode($x,true);
		$this->access_token = $x['access_token'];
		$this->refresh_token = $x['refresh_token'];
		
		return $x;
	}
	
	function getApi($element,$query = '') {
		$x = $this->get('https://www.textbookers.com/api/'.$element.'?access_token='.$this->access_token . '&'  . $query);
		$x = json_decode( $x , true) ;
		return $x;
	}
	
	function patchApi($element,$post) {
		$this->postType = 'json';
		$x = $this->patch('https://www.textbookers.com/api/'.$element.'?access_token='.$this->access_token,$post);
		$x = json_decode( $x , true) ;
		return $x;
	}
	

	function newOrder($post) {
		$this->postType = 'json';
		$x = $this->post('https://www.textbookers.com/api/orders?access_token='.$this->access_token,$post);
		return $x;
	}
	
	
	



function patch($url, $data) {
   $post = curl_init();
   curl_setopt($post, CURLOPT_URL, $url);
   curl_setopt($post, CURLOPT_POST, 1);
   curl_setopt($post, CURLOPT_RETURNTRANSFER, true);
   curl_setopt($post, CURLOPT_SSL_VERIFYPEER, false);
   curl_setopt($post, CURLOPT_CUSTOMREQUEST, 'PATCH');
     			if (substr($url,0,8)=='https://') {
					curl_setopt($post, CURLOPT_SSL_VERIFYHOST, false);
				}
				
	if ($this->postType == 'json') {
		$data = json_encode($data);
		curl_setopt( $post, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
		$this->postType = '';
		curl_setopt($post, CURLOPT_POSTFIELDS, $data);
	}
	else {
		curl_setopt($post, CURLOPT_POSTFIELDS, $data);
	}

   
   $result = curl_exec($post);
  
   $info = curl_getinfo($post);
   if ($info['http_code']!=201) {
	   $this->error($result,$info);
	   return false;
   }
   curl_close($post);
   return $result;
}


function post($url, $data) {
   $post = curl_init();
   curl_setopt($post, CURLOPT_URL, $url);
   curl_setopt($post, CURLOPT_POST, 1);
   curl_setopt($post, CURLOPT_RETURNTRANSFER, true);
   curl_setopt($post, CURLOPT_SSL_VERIFYPEER, false);
     			if (substr($url,0,8)=='https://') {
					curl_setopt($post, CURLOPT_SSL_VERIFYHOST, false);
				}
				
	if ($this->postType == 'json') {
		$data = json_encode($data);
		curl_setopt( $post, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
		$this->postType = '';
		curl_setopt($post, CURLOPT_POSTFIELDS, $data);
	}
	else {
		curl_setopt($post, CURLOPT_POSTFIELDS, $data);
	}

   
   $result = curl_exec($post);
  
   $info = curl_getinfo($post);
   if ($info['http_code']!=201) {
	   $this->error($result,$info);
	   return false;
   }
   curl_close($post);
   return $result;
}

function get($url) {
   $post = curl_init();
   curl_setopt($post, CURLOPT_URL, $url);
   curl_setopt($post, CURLOPT_SSL_VERIFYPEER, false);
   curl_setopt($post, CURLOPT_RETURNTRANSFER, 1);
        		if (substr($url,0,8)=='https://') {
					curl_setopt($post, CURLOPT_SSL_VERIFYHOST, false);
				}
   $result = curl_exec($post);
   $info = curl_getinfo($post);
   $err = curl_error($post);
   if ($info['http_code']!=201 && $info['http_code']!=200) {
	   $this->error($result,$info);
	   return false;
   }
   curl_close($post);
   return $result;
}


	function error($content,$info) {
		
		$this->errorContent = $content;
		$this->errorInfo = $info;
		
	}
	
	
	function errorContent() {
		
		return json_decode($this->errorContent,true);
		
		
	}
	
	function errorInfo() {
		
		return $this->errorInfo ;
		
	}
	
	
	
}
?>