<?php
if (isset($_POST['save_order'])) {
	
		
		$order['id'] =$_GET['id'];
		$order['articleTitle'] =$_POST['title'];
		$order['options']['title'] = $_POST['title'];
		$order['options']['slug'] = $_POST['slug'];
		$order['options']['tags'] = $_POST['tags'];
		$order['options']['image'] = $_POST['image'];
		$order['options']['cats'] = $_POST['cats'];
		$order['options']['autors'] = $_POST['autors'];
		$order['options']['status'] = $_POST['status'];
		$order['options']['publishdate'] = ($_POST['specified_publishdate']?$_POST['publishdate']:0);
		
		$order['options'] = json_encode($order['options']);
		
		
		txt_edit_order($order);
		
	
	?>
	<div id="message" class="updated fade"><p><strong> <?php _e('Dane dla publikacji zostały zmienione', 'textbookers' );?> </strong></p></div>
	<?php
			
}




$_POST = txt_get_order($_GET['id']);
$_POST = json_decode($_POST['options'],true);


?>


<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">

<fieldset class="options">
	
	<h3><?php _e('Opcje publikacji', 'textbookers' );?></h3>
	
	 <table width="100%" border="0" cellspacing="0" cellpadding="6">
	 
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Tytuł artykułu', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="title" onkeyup="document.getElementById('slug').value=string_to_slug(this.value);" type="text" size="20" value="<?php echo htmlspecialchars($_POST['title']); ?>"/>
				<br>
				<small>Artykuł zostanie opublikowany pod wskazanym tytułem</small>
        </td>
		</tr>
		
		
        <tr valign="top">
		<td width="25%" align="right">
                <strong><?php _e('SLUG', 'textbookers' );?></strong>
        </td>
		<td align="left">
                <input name="slug" id="slug" type="text" size="20" value="<?php echo htmlspecialchars($_POST['slug']); ?>"/>
				<br><small>Zostaw puste, jeśli adres ma być utworzony automatycznie z tytułu.</small>
        </td>
		</tr>
		
		
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Tagi dla artykułu', 'textbookers' );?></strong>
        </td><td align="left">
                <input name="tags" type="text" size="20" value="<?php echo htmlspecialchars($_POST['tags']); ?>"/>
				<br>
				<small>oddziel przecinkami</small>
        </td>
		</tr>

	     
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Ikona wpisu', 'textbookers' );?></strong>
        </td><td align="left">
			<input id="image-id" type="text" name="image" value="<?php echo $_POST['image'];?>" />
			<input id="upload-button" type="button" class="button" value="Wybierz obraz" />
			<br>
				<small>Wybierz obraz z biblioteki mediów lub podaj URL obrazka</small>
        </td>
		</tr>

	 
	 
	 
	 
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj w tych kategoriach: ', 'textbookers' );?></strong>
        </td><td align="left">
		<?php $cats = $_POST['cats']; if (empty($cats)) {$cats = array();}  ?>
		<select name="cats[]" size="5" multiple class='aps-block' >
		<?php foreach ( get_categories( array( 'orderby' => 'name', 'order' => 'ASC', 'hide_empty' => 0 ) ) as $post_cat ) { ?>
			<option value="<?php echo $post_cat->term_id;?>" <?php echo ( in_array( $post_cat->term_id, $cats ) ) ? "SELECTED" : "" ?>><?php echo $post_cat->name; ?></option>
		<?php } ?>
		</select>
        </td></tr>

        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Publikuj z konta autora:', 'textbookers' );?></strong>
        </td><td align="left">
		<?php 
			$autors = $_POST['autors'];
			$args = apply_filters( 'txt_get_users_args', array( 'who' => 'authors', 'fields' => array( 'ID', 'display_name' ) ) ); 
			$user_query = new WP_User_Query( $args );

			
				$users = $user_query->get_results();
				
			?>
		<select name="autors" size="5"  class='aps-block' >
		<?php foreach ( $users as $post_user ) { ?>
			<option value="<?php echo $post_user->ID;?>" <?php echo ( $post_user->ID == $autors ) ? "SELECTED" : "" ?>><?php echo $post_user->display_name; ?></option>
		<?php } ?>
		</select>
			
        </td></tr>

      




		
		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Jaki ustawić status dla publikacji?', 'textbookers' );?></strong>
        </td><td align="left">
		
		<select name="status" class='aps-block' >
		<?php foreach ( array( 'draft' , 'pending' ,'publish') as $post_type ) { ?>
			<option value="<?php echo $post_type;?>" <?php echo ( $post_type == $_POST['status'] ) ? "SELECTED" : "" ?>><?php echo $post_type; ?></option>
		<?php } ?>
		</select>
        </td></tr>
		
		
        <tr valign="top"><td width="25%" align="right">
                <strong><?php _e('Podaj datę publikacji', 'textbookers' );?></strong>
        </td><td align="left">
		
		<input type="checkbox" name="specified_publishdate" <?php if ($_POST['publishdate']>0) {echo 'checked';}?>> Ustaw niestandardowy czas publikacji:
		<?php
			$now = date('Y').'-'.date('m').'-'. date('d').'T'.date('H').':'.date('i');
			if (!empty($_POST['publishdate'])) {
				$now = $_POST['publishdate'];
			}
		?>
		<input type="datetime-local" name="publishdate"
       value="<?php echo $now;?>" >
	   <br>
	   <small>Tekst zostanie opublikowany od razu, gdy zostanie napisany (w momencie pobrania przez skrypt),<br>chyba że został ustawiony niestandardowy czas publikacji.</small>
        </td></tr>
		
		
		

	
        <tr valign="top"><td width="25%" align="right">
                
        </td><td align="left">
               <hr>
        </td></tr>

	
        <tr valign="top"><td width="25%" align="right">
                <strong></strong>
        </td><td align="left">
               <input type="submit" class="button" name="save_order" value="<?php _e('Zapisz zlecenie', 'textbookers' ); ?> &raquo;" />
			<br><small>Kliknij, aby zapisać zmiany dla publikacji wpisu.</small>
        </td></tr>



	 </table>
	 
	 
</fieldset>

</form>


<script>

var string_to_slug = function (str)
{
	str = str.replace(/^\s+|\s+$/g, ''); // trim
	str = str.toLowerCase();

	// remove accents, swap ñ for n, etc
	var from = "ęóąśłżźćńàáäâèéëêìíïîòóöôùúüûñçěščřžýúůďťň·/_,:;";
	var to   = "eoaslzzcnaaaaeeeeiiiioooouuuuncescrzyuudtn------";

	for (var i=0, l=from.length ; i<l ; i++)
	{
		str = str.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
	}
	
	
	str = str.replace('.', '-') // replace a dot by a dash 
		.replace(/[^a-z0-9 -]/g, '') // remove invalid chars
		.replace(/\s+/g, '-') // collapse whitespace and replace by a dash
		.replace(/-+/g, '-') // collapse dashes
		.replace( /\//g, '' ); // collapse all forward-slashes

	return str;
}


jQuery(document).ready(function($){

  var mediaUploader;

  $('#upload-button').click(function(e) {
    e.preventDefault();
    // If the uploader object has already been created, reopen the dialog
      if (mediaUploader) {
      mediaUploader.open();
      return;
    }
    // Extend the wp.media object
    mediaUploader = wp.media.frames.file_frame = wp.media({
      title: 'Choose Image',
      button: {
      text: 'Choose Image'
    }, multiple: false });

    // When a file is selected, grab the ID and set it as the text field's value
    mediaUploader.on('select', function() {
      attachment = mediaUploader.state().get('selection').first().toJSON();
      $('#image-id').val(attachment.id);
    });
    // Open the uploader dialog
    mediaUploader.open();
  });

});
</script>

